Bug 429556 - initscripts regression breaks luks partitions
initscripts regression breaks luks partitions
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
rawhide
i386 Linux
low Severity high
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-21 11:54 EST by Kenneth Topp
Modified: 2014-03-16 23:12 EDT (History)
1 user (show)

See Also:
Fixed In Version: 8.62-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-01 16:07:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kenneth Topp 2008-01-21 11:54:58 EST
rc.sysinit line 196

was:
if cryptsetup isLuks "$src" 2>/dev/null ; then

made to:

if [ -z "$foo" -a cryptsetup isLuks "$src" 2>/dev/null ]; then

should be:
if test -z "$foo" &&  cryptsetup isLuks "$src"  2> /dev/null; then
Comment 1 Bill Nottingham 2008-02-01 16:07:23 EST
This was fixed in 8.62-1.

Note You need to log in before you can comment on or make changes to this bug.